using System.Collections.Generic;
using System.Text.Json.Serialization;

namespace Quadarax.Foundation.Core.Data.Interface.Entity.Dto
{
    public class ResultsValueDto<TDto> : ResultDto where TDto : IDto
    {
        [JsonPropertyName("values")]
        public IEnumerable<TDto> Values { get; set; }


        public ResultsValueDto()
        {
            Values = new List<TDto>();
        }
        public ResultsValueDto(IEnumerable<TDto> values)
        {
            Values = values;
        }

        public override object GetValue()
        {
            return Values;
        }
        public IEnumerable<TDto> GetValueAs()
        {
            return Values;
        }
    }
}
